Getting started
Get a project overview
Read project status, deployment diagnosis, databases and backup health. Unavailable data is marked explicitly; lastSuccessfulBackupAt records a completed backup.
GET
/api/customer/v1/projects/{projectId}/overviewPath parameters
| Name | Value |
|---|---|
projectId | Required resource ID from an earlier API response. |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/overview" \
--header "Authorization: Bearer $HCODE_API_KEY" Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"project": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"organizationId": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"projectType": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"framework": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"buildType": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"repositoryUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"branch": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"rootDirectory": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"installCommand": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"buildCommand": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"startCommand": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"outputDirectory": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dockerfilePath": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dockerContextPath": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dockerBuildStage": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"healthCheckPath": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"subdomain": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"lastDeployedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"updatedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"githubInstallationId": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"hasDockerBuildArguments": {
"type": "boolean"
},
"hasDockerBuildSecrets": {
"type": "boolean"
},
"containerPort": {
"anyOf": [
{
"type": "integer",
"minimum": 1,
"maximum": 65535
},
{
"type": "null"
}
]
},
"runtimePortSource": {
"anyOf": [
{
"type": "string",
"enum": [
"explicit",
"start_command",
"managed_static",
"default",
"legacy"
]
},
{
"type": "null"
}
]
},
"runtimePortLockedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"runtimePortStatusUnavailable": {
"type": "boolean"
}
},
"required": [
"id",
"name",
"status"
],
"additionalProperties": true
},
"status": {
"type": "object",
"properties": {
"status": {
"type": "string"
},
"cached": {
"type": "boolean"
},
"crashLoop": {
"type": "boolean"
},
"deploymentInProgress": {
"type": "boolean"
}
},
"required": [],
"additionalProperties": true
},
"databases": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"status": {
"type": "string"
},
"projectId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"externalSlug": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"externalEnabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"name",
"type",
"status"
],
"additionalProperties": true
}
},
"backups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"projectId": {
"type": "string"
},
"type": {
"type": "string"
},
"schedule": {
"type": "string"
},
"databaseId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"prefix": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"lastBackupAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"enabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"retentionDays": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"type",
"schedule"
],
"additionalProperties": true
}
},
"diagnosis": {},
"lastSuccessfulBackupAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"backupStatusUnavailable": {
"type": "boolean"
},
"deploymentStatusUnavailable": {
"type": "boolean"
}
},
"required": [
"project",
"databases",
"backups"
],
"additionalProperties": true
}See errors and retries for failure responses.